Manifest-Version: 1.0
Bnd-LastModified: 1728053966535
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Kernel
Bundle-SymbolicName: com.liferay.portal.kernel
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 124.2.3
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.admin.kernel.util;version="3.0.0",com.life
 ray.announcements.kernel.constants;version="1.0.0",com.liferay.announ
 cements.kernel.exception;version="1.0.0";uses:="com.liferay.portal.ke
 rnel.exception",com.liferay.announcements.kernel.model;version="4.2.0
 ";uses:="com.liferay.exportimport.kernel.lar,com.liferay.petra.sql.ds
 l,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation
 ,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.model,com.liferay.portal.kernel.model.change
 .tracking,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.
 kernel.util",com.liferay.announcements.kernel.service;version="2.8.0"
 ;uses:="com.liferay.announcements.kernel.model,com.liferay.exportimpo
 rt.kernel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.qu
 ery,com.liferay.portal.kernel.change.tracking,com.liferay.portal.kern
 el.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.jsonwebservice,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.search,com.liferay.portal.kernel.security.access.control,com.
 liferay.portal.kernel.service,com.liferay.portal.kernel.service.chang
 e.tracking,com.liferay.portal.kernel.service.persistence,com.liferay.
 portal.kernel.service.persistence.change.tracking,com.liferay.portal.
 kernel.systemevent,com.liferay.portal.kernel.transaction,com.liferay.
 portal.kernel.util",com.liferay.announcements.kernel.service.persiste
 nce;version="4.0.0";uses:="com.liferay.announcements.kernel.exception
 ,com.liferay.announcements.kernel.model,com.liferay.portal.kernel.dao
 .orm,com.liferay.portal.kernel.service,com.liferay.portal.kernel.serv
 ice.persistence,com.liferay.portal.kernel.service.persistence.change.
 tracking,com.liferay.portal.kernel.util",com.liferay.announcements.ke
 rnel.util;version="2.0.0";uses:="com.liferay.portal.kernel.exception,
 com.liferay.portal.kernel.model,com.liferay.portal.kernel.security.pe
 rmission,com.liferay.portal.kernel.theme",com.liferay.asset.kernel;ve
 rsion="2.1.0";uses:="com.liferay.asset.kernel.model,com.liferay.porta
 l.kernel.exception",com.liferay.asset.kernel.configuration.provider;v
 ersion="1.0.0";uses:="com.liferay.portal.kernel.module.configuration"
 ,com.liferay.asset.kernel.exception;version="4.0.0";uses:="com.lifera
 y.asset.kernel.model,com.liferay.portal.kernel.exception",com.liferay
 .asset.kernel.manager;version="1.0.0";uses:="com.liferay.portal.kerne
 l.exception",com.liferay.asset.kernel.model;version="11.1.0";uses:="c
 om.liferay.dynamic.data.mapping.kernel,com.liferay.exportimport.kerne
 l.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.li
 feray.portal.kernel.annotation,com.liferay.portal.kernel.bean,com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.model,com.life
 ray.portal.kernel.model.change.tracking,com.liferay.portal.kernel.mod
 el.wrapper,com.liferay.portal.kernel.portlet,com.liferay.portal.kerne
 l.resource.bundle,com.liferay.portal.kernel.security.permission,com.l
 iferay.portal.kernel.theme,com.liferay.portal.kernel.util,javax.portl
 et,javax.servlet,javax.servlet.http",com.liferay.asset.kernel.search;
 version="1.0.0";uses:="com.liferay.asset.kernel.service.persistence,c
 om.liferay.portal.kernel.search",com.liferay.asset.kernel.service;ver
 sion="11.0.0";uses:="com.liferay.asset.kernel.model,com.liferay.asset
 .kernel.service.persistence,com.liferay.exportimport.kernel.lar,com.l
 iferay.petra.function,com.liferay.petra.sql.dsl.query,com.liferay.por
 tal.kernel.cache.thread.local,com.liferay.portal.kernel.change.tracki
 ng,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.increment,com.liferay.portal.kernel.jso
 n,com.liferay.portal.kernel.jsonwebservice,com.liferay.portal.kernel.
 model,com.liferay.portal.kernel.search,com.liferay.portal.kernel.secu
 rity.access.control,com.liferay.portal.kernel.service,com.liferay.por
 tal.kernel.service.change.tracking,com.liferay.portal.kernel.service.
 permission,com.liferay.portal.kernel.service.persistence,com.liferay.
 portal.kernel.service.persistence.change.tracking,com.liferay.portal.
 kernel.systemevent,com.liferay.portal.kernel.transaction,com.liferay.
 portal.kernel.util",com.liferay.asset.kernel.service.persistence;vers
 ion="13.0.0";uses:="com.liferay.asset.kernel.exception,com.liferay.as
 set.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal
 .kernel.dao.search,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.service,com.liferay.portal.kernel.service.persistence,com.lif
 eray.portal.kernel.service.persistence.change.tracking,com.liferay.po
 rtal.kernel.util",com.liferay.asset.kernel.util;version="2.0.0",com.l
 iferay.asset.kernel.validator;version="2.0.0";uses:="com.liferay.port
 al.kernel.exception",com.liferay.counter.kernel;version="2.2.0",com.l
 iferay.counter.kernel.exception;version="1.0.0";uses:="com.liferay.po
 rtal.kernel.exception",com.liferay.counter.kernel.model;version="4.1.
 0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,co
 m.liferay.portal.kernel.annotation,com.liferay.portal.kernel.bean,com
 .liferay.portal.kernel.model,com.liferay.portal.kernel.model.wrapper,
 com.liferay.portal.kernel.util",com.liferay.counter.kernel.service;ve
 rsion="2.2.0";uses:="com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.transaction",com.life
 ray.counter.kernel.service.persistence;version="2.0.2",com.liferay.do
 cument.library.kernel;version="1.0.0";uses:="com.liferay.portal.kerne
 l.exception",com.liferay.document.library.kernel.antivirus;version="3
 .1.0";uses:="com.liferay.portal.kernel.exception",com.liferay.documen
 t.library.kernel.background.task;version="1.0.0",com.liferay.document
 .library.kernel.document.conversion;version="3.0.0",com.liferay.docum
 ent.library.kernel.exception;version="4.2.0";uses:="com.liferay.porta
 l.kernel.exception",com.liferay.document.library.kernel.model;version
 ="8.3.0";uses:="com.liferay.dynamic.data.mapping.kernel,com.liferay.e
 xpando.kernel.model,com.liferay.exportimport.kernel.lar,com.liferay.p
 etra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel
 .annotation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.mo
 del,com.liferay.portal.kernel.model.change.tracking,com.liferay.porta
 l.kernel.model.wrapper,com.liferay.portal.kernel.repository.model,com
 .liferay.portal.kernel.util",com.liferay.document.library.kernel.serv
 ice;version="16.0.0";uses:="com.liferay.asset.kernel.model,com.lifera
 y.document.library.kernel.exception,com.liferay.document.library.kern
 el.model,com.liferay.dynamic.data.mapping.kernel,com.liferay.exportim
 port.kernel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.
 query,com.liferay.portal.kernel.cache.thread.local,com.liferay.portal
 .kernel.change.tracking,com.liferay.portal.kernel.dao.orm,com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.increment,com.life
 ray.portal.kernel.jsonwebservice,com.liferay.portal.kernel.lock,com.l
 iferay.portal.kernel.messaging.async,com.liferay.portal.kernel.model,
 com.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.
 search,com.liferay.portal.kernel.security.access.control,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.service.change.tracki
 ng,com.liferay.portal.kernel.service.permission,com.liferay.portal.ke
 rnel.service.persistence,com.liferay.portal.kernel.service.persistenc
 e.change.tracking,com.liferay.portal.kernel.systemevent,com.liferay.p
 ortal.kernel.transaction,com.liferay.portal.kernel.util",com.liferay.
 document.library.kernel.service.persistence;version="7.0.0";uses:="co
 m.liferay.document.library.kernel.exception,com.liferay.document.libr
 ary.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal
 .kernel.service,com.liferay.portal.kernel.service.persistence,com.lif
 eray.portal.kernel.service.persistence.change.tracking,com.liferay.po
 rtal.kernel.util",com.liferay.document.library.kernel.store;version="
 9.0.0";uses:="com.liferay.petra.function,com.liferay.portal.kernel.ex
 ception,com.liferay.portal.kernel.transaction",com.liferay.document.l
 ibrary.kernel.util;version="10.0.0";uses:="com.liferay.document.libra
 ry.kernel.exception,com.liferay.document.library.kernel.model,com.lif
 eray.exportimport.kernel.lar,com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.repository.model,com.liferay.portal.kernel.sear
 ch,com.liferay.portal.kernel.service,com.liferay.portal.kernel.theme,
 com.liferay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.po
 rtlet",com.liferay.document.library.kernel.util.comparator;version="3
 .0.0";uses:="com.liferay.document.library.kernel.model,com.liferay.po
 rtal.kernel.repository.model,com.liferay.portal.kernel.util",com.life
 ray.document.library.kernel.versioning;version="1.0.0";uses:="com.lif
 eray.document.library.kernel.model",com.liferay.dynamic.data.mapping.
 kernel;version="6.0.0";uses:="com.liferay.expando.kernel.model,com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.model,com.lif
 eray.portal.kernel.service,com.liferay.portal.kernel.theme",com.lifer
 ay.expando.kernel.exception;version="2.0.0";uses:="com.liferay.portal
 .kernel.exception",com.liferay.expando.kernel.model;version="6.0.0";u
 ses:="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.li
 feray.portal.kernel.annotation,com.liferay.portal.kernel.bean,com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.json,com.lifer
 ay.portal.kernel.model,com.liferay.portal.kernel.model.change.trackin
 g,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.s
 ervice,com.liferay.portal.kernel.util",com.liferay.expando.kernel.mod
 el.adapter;version="4.0.0";uses:="com.liferay.expando.kernel.model,co
 m.liferay.portal.kernel.model",com.liferay.expando.kernel.service;ver
 sion="1.10.0";uses:="com.liferay.expando.kernel.model,com.liferay.pet
 ra.function,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel
 .change.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.json,com.liferay.portal.k
 ernel.jsonwebservice,com.liferay.portal.kernel.model,com.liferay.port
 al.kernel.search,com.liferay.portal.kernel.security.access.control,co
 m.liferay.portal.kernel.service,com.liferay.portal.kernel.service.cha
 nge.tracking,com.liferay.portal.kernel.service.persistence,com.lifera
 y.portal.kernel.service.persistence.change.tracking,com.liferay.porta
 l.kernel.transaction,com.liferay.portal.kernel.util",com.liferay.expa
 ndo.kernel.service.permission;version="3.0.0";uses:="com.liferay.expa
 ndo.kernel.model,com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.security.permission",com.liferay.expando.kernel.service.per
 sistence;version="3.3.0";uses:="com.liferay.expando.kernel.exception,
 com.liferay.expando.kernel.model,com.liferay.portal.kernel.dao.orm,co
 m.liferay.portal.kernel.service,com.liferay.portal.kernel.service.per
 sistence,com.liferay.portal.kernel.service.persistence.change.trackin
 g,com.liferay.portal.kernel.util",com.liferay.expando.kernel.util;ver
 sion="5.1.0";uses:="com.liferay.expando.kernel.model,com.liferay.port
 al.kernel.exception,com.liferay.portal.kernel.service,javax.portlet,j
 avax.servlet.http",com.liferay.exportimport.kernel.background.task;ve
 rsion="1.4.0",com.liferay.exportimport.kernel.configuration;version="
 5.0.0";uses:="com.liferay.exportimport.kernel.model,com.liferay.porta
 l.kernel.backgroundtask,com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.model,javax.portlet",com.liferay.exportimport.kernel
 .configuration.constants;version="1.0.0",com.liferay.exportimport.ker
 nel.controller;version="2.0.0";uses:="com.liferay.exportimport.kernel
 .lar,com.liferay.exportimport.kernel.model",com.liferay.exportimport.
 kernel.exception;version="2.1.0";uses:="com.liferay.exportimport.kern
 el.lar,com.liferay.portal.kernel.exception",com.liferay.exportimport.
 kernel.lar;version="5.2.0";uses:="com.liferay.exportimport.kernel.mod
 el,com.liferay.portal.kernel.backgroundtask,com.liferay.portal.kernel
 .dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kerne
 l.lock,com.liferay.portal.kernel.model,com.liferay.portal.kernel.repo
 sitory.model,com.liferay.portal.kernel.service,com.liferay.portal.ker
 nel.theme,com.liferay.portal.kernel.util,com.liferay.portal.kernel.xm
 l,com.liferay.portal.kernel.zip,javax.portlet",com.liferay.exportimpo
 rt.kernel.lifecycle;version="4.0.0";uses:="com.liferay.exportimport.k
 ernel.lar,com.liferay.exportimport.kernel.model,com.liferay.portal.ke
 rnel.model",com.liferay.exportimport.kernel.lifecycle.constants;versi
 on="1.0.0",com.liferay.exportimport.kernel.model;version="6.0.0";uses
 :="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.lifer
 ay.portal.kernel.annotation,com.liferay.portal.kernel.bean,com.lifera
 y.portal.kernel.model,com.liferay.portal.kernel.model.wrapper,com.lif
 eray.portal.kernel.util",com.liferay.exportimport.kernel.service;vers
 ion="2.10.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.e
 xportimport.kernel.model,com.liferay.petra.sql.dsl.query,com.liferay.
 portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.jsonwebservice,com.liferay.portal.kernel.model,com.lif
 eray.portal.kernel.search,com.liferay.portal.kernel.security.access.c
 ontrol,com.liferay.portal.kernel.service,com.liferay.portal.kernel.se
 rvice.persistence,com.liferay.portal.kernel.systemevent,com.liferay.p
 ortal.kernel.transaction,com.liferay.portal.kernel.util,javax.portlet
 ",com.liferay.exportimport.kernel.service.persistence;version="2.5.0"
 ;uses:="com.liferay.exportimport.kernel.exception,com.liferay.exporti
 mport.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.port
 al.kernel.service,com.liferay.portal.kernel.service.persistence,com.l
 iferay.portal.kernel.util",com.liferay.exportimport.kernel.staging;ve
 rsion="2.3.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.
 exportimport.kernel.model,com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.json,com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.security.auth,com.liferay.portal.kernel.util,com.liferay
 .portal.kernel.workflow,com.liferay.portal.kernel.xml,javax.portlet,j
 avax.servlet.http",com.liferay.exportimport.kernel.staging.constants;
 version="1.0.0",com.liferay.exportimport.kernel.staging.permission;ve
 rsion="1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.port
 al.kernel.security.permission",com.liferay.exportimport.kernel.xstrea
 m;version="2.0.0",com.liferay.layout.admin.kernel.model;version="1.0.
 0";uses:="com.liferay.portal.kernel.model",com.liferay.layout.admin.k
 ernel.visibility;version="2.0.0",com.liferay.layout.seo.kernel;versio
 n="2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.model,com.liferay.portal.kernel.theme,com.liferay.portal.ke
 rnel.util",com.liferay.layout.utility.page.kernel;version="1.1.0";use
 s:="com.liferay.layout.utility.page.kernel.request.contributor,javax.
 servlet,javax.servlet.http",com.liferay.layout.utility.page.kernel.co
 nstants;version="2.1.0",com.liferay.layout.utility.page.kernel.reques
 t.contributor;version="1.0.0";uses:="com.liferay.portal.kernel.servle
 t",com.liferay.layouts.admin.kernel.util;version="124.2.3",com.lifera
 y.mail.kernel.auth.token.provider;version="2.0.0",com.liferay.mail.ke
 rnel.model;version="1.1.0";uses:="javax.mail.internet",com.liferay.ma
 il.kernel.service;version="5.0.0";uses:="com.liferay.mail.kernel.mode
 l,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.trans
 action,javax.mail",com.liferay.mail.kernel.template;version="2.0.0";u
 ses:="com.liferay.portal.kernel.util",com.liferay.portal.kernel.annot
 ation;version="7.0.0",com.liferay.portal.kernel.aop;version="1.0.1",c
 om.liferay.portal.kernel.application.type;version="1.0.0",com.liferay
 .portal.kernel.audit;version="8.0.0";uses:="com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.json",com.liferay.portal.kernel.
 backgroundtask;version="11.0.0";uses:="com.liferay.petra.lang,com.lif
 eray.portal.kernel.backgroundtask.display,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.messaging,com.liferay.portal.kerne
 l.model,com.liferay.portal.kernel.repository.model,com.liferay.portal
 .kernel.service,com.liferay.portal.kernel.util",com.liferay.portal.ke
 rnel.backgroundtask.constants;version="1.1.0",com.liferay.portal.kern
 el.backgroundtask.display;version="3.0.0";uses:="com.liferay.portal.k
 ernel.backgroundtask,javax.servlet.http",com.liferay.portal.kernel.be
 an;version="10.1.0";uses:="javax.portlet,javax.servlet.http",com.life
 ray.portal.kernel.cache;version="14.0.0";uses:="com.liferay.portal.ke
 rnel.transaction",com.liferay.portal.kernel.cache.index;version="6.2.
 0";uses:="com.liferay.portal.kernel.cache",com.liferay.portal.kernel.
 cache.key;version="8.0.0";uses:="com.liferay.petra.string",com.lifera
 y.portal.kernel.cache.thread.local;version="2.0.0";uses:="com.liferay
 .portal.kernel.transaction",com.liferay.portal.kernel.cache.transacti
 onal;version="3.1.0";uses:="com.liferay.portal.kernel.cache,com.lifer
 ay.portal.kernel.transaction",com.liferay.portal.kernel.cal;version="
 7.0.0",com.liferay.portal.kernel.captcha;version="7.0.0";uses:="com.l
 iferay.portal.kernel.exception,javax.portlet,javax.servlet.http",com.
 liferay.portal.kernel.change.tracking;version="2.2.0";uses:="com.life
 ray.petra.lang,com.liferay.portal.kernel.exception",com.liferay.porta
 l.kernel.change.tracking.sql;version="1.0.0";uses:="com.liferay.petra
 .lang",com.liferay.portal.kernel.cluster;version="9.0.0";uses:="com.l
 iferay.portal.kernel.concurrent,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.messaging,com.liferay.portal.kernel.util",co
 m.liferay.portal.kernel.cluster.messaging;version="7.1.0";uses:="com.
 liferay.portal.kernel.cluster,com.liferay.portal.kernel.messaging",co
 m.liferay.portal.kernel.comment;version="5.1.0";uses:="com.liferay.ex
 portimport.kernel.lar,com.liferay.portal.kernel.dao.orm,com.liferay.p
 ortal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.po
 rtal.kernel.security.permission,com.liferay.portal.kernel.service,com
 .liferay.ratings.kernel.model",com.liferay.portal.kernel.comment.disp
 lay.context;version="1.0.0";uses:="com.liferay.portal.kernel.comment,
 com.liferay.portal.kernel.display.context,com.liferay.portal.kernel.e
 xception,javax.servlet.http",com.liferay.portal.kernel.concurrent;ver
 sion="8.1.0",com.liferay.portal.kernel.configuration;version="7.0.0",
 com.liferay.portal.kernel.content.security.policy;version="1.0.0";use
 s:="javax.servlet.http",com.liferay.portal.kernel.cookies;version="3.
 1.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.settings,javax.servlet.http",com.liferay.portal.kernel.cookies.c
 onstants;version="1.1.0",com.liferay.portal.kernel.dao.db;version="15
 .0.0";uses:="com.liferay.petra.function,com.liferay.portal.kernel.uti
 l,javax.naming,javax.sql",com.liferay.portal.kernel.dao.jdbc;version=
 "10.0.0";uses:="javax.naming,javax.sql",com.liferay.portal.kernel.dao
 .jdbc.aop;version="8.0.0",com.liferay.portal.kernel.dao.jdbc.pool.met
 rics;version="1.0.0",com.liferay.portal.kernel.dao.orm;version="12.0.
 0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.petra.funct
 ion,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.cache,c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.model,co
 m.liferay.portal.kernel.search,com.liferay.portal.kernel.service,com.
 liferay.portal.kernel.service.persistence,com.liferay.portal.kernel.t
 ransaction,com.liferay.portal.kernel.util",com.liferay.portal.kernel.
 dao.search;version="9.0.0";uses:="com.liferay.petra.function,com.life
 ray.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifer
 ay.portal.kernel.search,com.liferay.portal.kernel.util,javax.portlet,
 javax.servlet,javax.servlet.http",com.liferay.portal.kernel.db.partit
 ion;version="1.1.0",com.liferay.portal.kernel.dependency.manager;vers
 ion="3.0.0",com.liferay.portal.kernel.deploy.auto;version="8.0.0";use
 s:="com.liferay.portal.kernel.deploy.auto.context,com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.plugin",com.liferay.portal
 .kernel.deploy.auto.context;version="7.0.0";uses:="com.liferay.portal
 .kernel.plugin",com.liferay.portal.kernel.deploy.hot;version="7.1.2";
 uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 messaging,com.liferay.portal.kernel.plugin,com.liferay.portal.kernel.
 util,javax.servlet",com.liferay.portal.kernel.display.context;version
 ="2.0.0";uses:="javax.servlet.http,org.osgi.framework",com.liferay.po
 rtal.kernel.display.context.helper;version="2.0.0";uses:="com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.portlet,com.liferay.po
 rtal.kernel.security.permission,com.liferay.portal.kernel.theme,javax
 .servlet.http",com.liferay.portal.kernel.editor;version="8.0.0",com.l
 iferay.portal.kernel.editor.configuration;version="1.1.0";uses:="com.
 liferay.portal.kernel.json,com.liferay.portal.kernel.portlet,com.life
 ray.portal.kernel.theme",com.liferay.portal.kernel.editor.constants;v
 ersion="1.0.0",com.liferay.portal.kernel.encryptor;version="1.0.0",co
 m.liferay.portal.kernel.events;version="6.3.0";uses:="com.liferay.por
 tal.kernel.exception,javax.portlet,javax.servlet.http",com.liferay.po
 rtal.kernel.exception;version="13.3.0";uses:="com.liferay.portal.kern
 el.model,com.liferay.portal.kernel.security.auth,com.liferay.portal.k
 ernel.util",com.liferay.portal.kernel.facebook;version="7.0.0";uses:=
 "com.liferay.portal.kernel.json,javax.portlet",com.liferay.portal.ker
 nel.feature.flag;version="2.0.0",com.liferay.portal.kernel.feature.fl
 ag.constants;version="1.0.0",com.liferay.portal.kernel.format;version
 ="7.0.0",com.liferay.portal.kernel.frontend.esm;version="1.0.0",com.l
 iferay.portal.kernel.frontend.source.map;version="1.0.0",com.liferay.
 portal.kernel.group.capability;version="1.0.0";uses:="com.liferay.por
 tal.kernel.model",com.liferay.portal.kernel.image;version="13.0.0";us
 es:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mo
 del",com.liferay.portal.kernel.increment;version="7.1.0";uses:="com.l
 iferay.petra.lang",com.liferay.portal.kernel.instance;version="1.0.0"
 ;uses:="com.liferay.portal.kernel.model",com.liferay.portal.kernel.in
 stance.lifecycle;version="2.1.0";uses:="com.liferay.portal.kernel.mod
 el",com.liferay.portal.kernel.interval;version="1.0.0";uses:="com.lif
 eray.portal.kernel.exception",com.liferay.portal.kernel.io;version="9
 .0.0",com.liferay.portal.kernel.io.constants;version="1.0.0",com.life
 ray.portal.kernel.io.unsync;version="8.0.0";uses:="com.liferay.petra.
 string",com.liferay.portal.kernel.jazzy;version="1.0.0",com.liferay.p
 ortal.kernel.jmx.model;version="7.0.0";uses:="javax.management",com.l
 iferay.portal.kernel.jndi;version="7.0.0";uses:="javax.naming",com.li
 feray.portal.kernel.json;version="12.1.0";uses:="com.liferay.petra.fu
 nction,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 log",com.liferay.portal.kernel.jsonwebservice;version="9.0.0";uses:="
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.util,ja
 vax.servlet,javax.servlet.http",com.liferay.portal.kernel.language;ve
 rsion="12.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.resource.bundle,javax.portlet,javax.servlet.http",com.
 liferay.portal.kernel.language.constants;version="1.0.0",com.liferay.
 portal.kernel.layoutconfiguration.util;version="4.0.0";uses:="com.lif
 eray.petra.string,com.liferay.portal.kernel.model,javax.servlet.http"
 ,com.liferay.portal.kernel.license;version="1.0.0",com.liferay.portal
 .kernel.license.messaging;version="3.0.0",com.liferay.portal.kernel.l
 icense.util;version="1.0.0";uses:="com.liferay.portal.kernel.json,com
 .liferay.portal.kernel.license",com.liferay.portal.kernel.lock;versio
 n="9.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.por
 tal.kernel.log;version="8.0.0",com.liferay.portal.kernel.login;versio
 n="1.0.0",com.liferay.portal.kernel.lpkg;version="2.0.0",com.liferay.
 portal.kernel.management;version="8.0.0";uses:="com.liferay.portal.ke
 rnel.exception",com.liferay.portal.kernel.management.jmx;version="6.2
 .0";uses:="com.liferay.portal.kernel.jmx.model,com.liferay.portal.ker
 nel.management,javax.management",com.liferay.portal.kernel.messaging;
 version="19.0.0";uses:="com.liferay.portal.kernel.exception",com.life
 ray.portal.kernel.messaging.async;version="6.2.0",com.liferay.portal.
 kernel.messaging.config;version="12.0.0";uses:="com.liferay.portal.ke
 rnel.messaging",com.liferay.portal.kernel.metadata;version="10.0.0";u
 ses:="com.liferay.dynamic.data.mapping.kernel,com.liferay.portal.kern
 el.exception",com.liferay.portal.kernel.microsofttranslator;version="
 7.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.portal
 .kernel.mobile.device;version="9.0.0";uses:="javax.servlet.http",com.
 liferay.portal.kernel.model;version="30.6.0";uses:="com.liferay.asset
 .kernel.model,com.liferay.expando.kernel.model,com.liferay.exportimpo
 rt.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.bas
 e,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.appl
 ication.type,com.liferay.portal.kernel.bean,com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.m
 odel.change.tracking,com.liferay.portal.kernel.model.portlet,com.life
 ray.portal.kernel.model.wrapper,com.liferay.portal.kernel.notificatio
 ns,com.liferay.portal.kernel.plugin,com.liferay.portal.kernel.pop,com
 .liferay.portal.kernel.portlet,com.liferay.portal.kernel.scheduler,co
 m.liferay.portal.kernel.search,com.liferay.portal.kernel.security.per
 mission,com.liferay.portal.kernel.security.permission.propagator,com.
 liferay.portal.kernel.service,com.liferay.portal.kernel.servlet,com.l
 iferay.portal.kernel.template,com.liferay.portal.kernel.theme,com.lif
 eray.portal.kernel.trash,com.liferay.portal.kernel.util,com.liferay.p
 ortal.kernel.webdav,com.liferay.portal.kernel.workflow,com.liferay.po
 rtal.kernel.xml,com.liferay.portal.kernel.xmlrpc,com.liferay.social.k
 ernel.model,javax.portlet,javax.servlet,javax.servlet.http",com.lifer
 ay.portal.kernel.model.adapter;version="5.1.0";uses:="com.liferay.por
 tal.kernel.model",com.liferay.portal.kernel.model.adapter.builder;ver
 sion="1.0.0",com.liferay.portal.kernel.model.cache;version="1.0.0",co
 m.liferay.portal.kernel.model.change.tracking;version="3.0.0";uses:="
 com.liferay.portal.kernel.model",com.liferay.portal.kernel.model.dao;
 version="2.5.0",com.liferay.portal.kernel.model.impl;version="7.4.0";
 uses:="com.liferay.expando.kernel.model,com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.model,com.liferay.portal.kernel.secu
 rity.permission,com.liferay.portal.kernel.service,javax.servlet.http"
 ,com.liferay.portal.kernel.model.portlet;version="2.0.0";uses:="com.l
 iferay.petra.string,javax.portlet",com.liferay.portal.kernel.model.ro
 le;version="1.3.0",com.liferay.portal.kernel.model.version;version="3
 .0.0",com.liferay.portal.kernel.model.wrapper;version="3.0.0";uses:="
 com.liferay.expando.kernel.model,com.liferay.portal.kernel.model,com.
 liferay.portal.kernel.service",com.liferay.portal.kernel.module.confi
 guration;version="3.0.0";uses:="com.liferay.portal.kernel.exception",
 com.liferay.portal.kernel.module.framework;version="2.0.0",com.lifera
 y.portal.kernel.module.framework.service;version="1.0.1";uses:="com.l
 iferay.portal.kernel.transaction,com.liferay.portal.kernel.util",com.
 liferay.portal.kernel.monitoring;version="8.0.0";uses:="com.liferay.p
 ortal.kernel.exception,javax.portlet",com.liferay.portal.kernel.notif
 ications;version="11.1.0";uses:="com.liferay.asset.kernel.model,com.l
 iferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.lif
 eray.portal.kernel.model,com.liferay.portal.kernel.service",com.lifer
 ay.portal.kernel.openid;version="1.0.0",com.liferay.portal.kernel.par
 sers.bbcode;version="7.0.0",com.liferay.portal.kernel.patcher;version
 ="9.0.0",com.liferay.portal.kernel.plugin;version="7.0.0";uses:="com.
 liferay.portal.kernel.util",com.liferay.portal.kernel.pop;version="7.
 0.0";uses:="com.liferay.portal.kernel.exception,javax.mail",com.lifer
 ay.portal.kernel.portlet;version="26.0.0";uses:="com.liferay.asset.ke
 rnel.model,com.liferay.expando.kernel.model,com.liferay.exportimport.
 kernel.lar,com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.json,com.liferay.portal.kernel.model,com.liferay.portal.kernel.no
 tifications,com.liferay.portal.kernel.pop,com.liferay.portal.kernel.s
 earch,com.liferay.portal.kernel.security.permission,com.liferay.porta
 l.kernel.security.permission.propagator,com.liferay.portal.kernel.ser
 vlet,com.liferay.portal.kernel.settings,com.liferay.portal.kernel.tem
 plate,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.trash
 ,com.liferay.portal.kernel.util,com.liferay.portal.kernel.webdav,com.
 liferay.portal.kernel.workflow,com.liferay.portal.kernel.xml,com.life
 ray.portal.kernel.xmlrpc,com.liferay.social.kernel.model,javax.portle
 t,javax.portlet.annotations,javax.portlet.filter,javax.servlet,javax.
 servlet.http",com.liferay.portal.kernel.portlet.async;version="1.0.1"
 ;uses:="javax.portlet",com.liferay.portal.kernel.portlet.bridges.mvc;
 version="6.1.0";uses:="com.liferay.portal.kernel.portlet,com.liferay.
 portal.kernel.transaction,javax.portlet",com.liferay.portal.kernel.po
 rtlet.bridges.mvc.constants;version="1.0.0",com.liferay.portal.kernel
 .portlet.configuration.icon;version="5.0.0";uses:="com.liferay.osgi.s
 ervice.tracker.collections.map,javax.portlet,javax.servlet,javax.serv
 let.http,org.osgi.framework",com.liferay.portal.kernel.portlet.config
 uration.icon.locator;version="1.0.0";uses:="javax.portlet",com.lifera
 y.portal.kernel.portlet.constants;version="1.4.0",com.liferay.portal.
 kernel.portlet.render;version="1.0.0";uses:="com.liferay.portal.kerne
 l.model,javax.servlet.http",com.liferay.portal.kernel.portlet.toolbar
 ;version="1.0.0";uses:="com.liferay.portal.kernel.servlet.taglib.ui,j
 avax.portlet",com.liferay.portal.kernel.portlet.toolbar.contributor;v
 ersion="1.1.0";uses:="com.liferay.portal.kernel.servlet.taglib.ui,jav
 ax.portlet",com.liferay.portal.kernel.portlet.toolbar.contributor.loc
 ator;version="1.0.0";uses:="com.liferay.portal.kernel.portlet.toolbar
 .contributor,javax.portlet",com.liferay.portal.kernel.portlet.url.bui
 lder;version="2.0.0";uses:="com.liferay.portal.kernel.portlet,javax.p
 ortlet,javax.portlet.annotations",com.liferay.portal.kernel.portletdi
 splaytemplate;version="7.0.0";uses:="javax.servlet.http",com.liferay.
 portal.kernel.portletfilerepository;version="5.0.0";uses:="com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.repository.model,com.liferay.portal.kernel.search,com.
 liferay.portal.kernel.service,com.liferay.portal.kernel.theme,com.lif
 eray.portal.kernel.util",com.liferay.portal.kernel.redirect;version="
 1.0.0",com.liferay.portal.kernel.regex;version="1.0.0",com.liferay.po
 rtal.kernel.repository;version="13.0.0";uses:="com.liferay.asset.kern
 el.service,com.liferay.document.library.kernel.model,com.liferay.docu
 ment.library.kernel.service,com.liferay.portal.kernel.exception,com.l
 iferay.portal.kernel.lock,com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.repository.capabilities,com.liferay.portal.kernel.repo
 sitory.model,com.liferay.portal.kernel.resource.bundle,com.liferay.po
 rtal.kernel.search,com.liferay.portal.kernel.service,com.liferay.port
 al.kernel.util",com.liferay.portal.kernel.repository.capabilities;ver
 sion="3.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.repository,com.liferay.portal.kernel.repository.event,co
 m.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.se
 rvice,com.liferay.portal.kernel.util",com.liferay.portal.kernel.repos
 itory.event;version="1.1.0";uses:="com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.repository.model,com.liferay.portal.kerne
 l.repository.registry",com.liferay.portal.kernel.repository.friendly.
 url.resolver;version="2.0.0";uses:="com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.repository.model",com.liferay.portal.ker
 nel.repository.http.header.customizer;version="1.0.0";uses:="com.life
 ray.portal.kernel.repository.model",com.liferay.portal.kernel.reposit
 ory.model;version="11.2.0";uses:="com.liferay.expando.kernel.model,co
 m.liferay.exportimport.kernel.lar,com.liferay.portal.kernel.exception
 ,com.liferay.portal.kernel.json,com.liferay.portal.kernel.lock,com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.repository.capabi
 lities,com.liferay.portal.kernel.security.permission,com.liferay.port
 al.kernel.util",com.liferay.portal.kernel.repository.proxy;version="7
 .0.0";uses:="com.liferay.asset.kernel.service,com.liferay.document.li
 brary.kernel.model,com.liferay.document.library.kernel.service,com.li
 feray.expando.kernel.model,com.liferay.exportimport.kernel.lar,com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.lock,com.life
 ray.portal.kernel.repository,com.liferay.portal.kernel.repository.cap
 abilities,com.liferay.portal.kernel.repository.model,com.liferay.port
 al.kernel.search,com.liferay.portal.kernel.security.permission,com.li
 feray.portal.kernel.service,com.liferay.portal.kernel.util",com.lifer
 ay.portal.kernel.repository.registry;version="1.1.0";uses:="com.lifer
 ay.portal.kernel.repository,com.liferay.portal.kernel.repository.capa
 bilities,com.liferay.portal.kernel.repository.event",com.liferay.port
 al.kernel.repository.search;version="7.0.0";uses:="com.liferay.portal
 .kernel.search",com.liferay.portal.kernel.repository.util;version="3.
 1.0";uses:="com.liferay.portal.kernel.repository.model",com.liferay.p
 ortal.kernel.resource;version="6.3.0",com.liferay.portal.kernel.resou
 rce.bundle;version="1.0.0",com.liferay.portal.kernel.resource.manager
 ;version="1.0.0";uses:="com.liferay.portal.kernel.resource",com.lifer
 ay.portal.kernel.sanitizer;version="8.0.0";uses:="com.liferay.portal.
 kernel.exception",com.liferay.portal.kernel.scheduler;version="19.0.0
 ";uses:="com.liferay.petra.function,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.messaging,com.liferay.portal.kernel.sche
 duler.messaging,javax.portlet",com.liferay.portal.kernel.scheduler.me
 ssaging;version="10.0.0";uses:="com.liferay.portal.kernel.messaging,c
 om.liferay.portal.kernel.scheduler",com.liferay.portal.kernel.scripti
 ng;version="9.0.0";uses:="com.liferay.portal.kernel.exception,javax.p
 ortlet",com.liferay.portal.kernel.search;version="20.2.0";uses:="com.
 liferay.asset.kernel.model,com.liferay.expando.kernel.model,com.lifer
 ay.petra.function,com.liferay.petra.string,com.liferay.portal.kernel.
 backgroundtask,com.liferay.portal.kernel.comment,com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.json,com.liferay.portal.ker
 nel.model,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel
 .repository.model,com.liferay.portal.kernel.search.facet,com.liferay.
 portal.kernel.search.filter,com.liferay.portal.kernel.search.geolocat
 ion,com.liferay.portal.kernel.search.query,com.liferay.portal.kernel.
 search.suggest,com.liferay.portal.kernel.security.permission,com.life
 ray.portal.kernel.theme,com.liferay.portal.kernel.xml,javax.portlet,j
 avax.servlet.http",com.liferay.portal.kernel.search.analysis;version=
 "2.0.0";uses:="com.liferay.portal.kernel.search",com.liferay.portal.k
 ernel.search.background.task;version="2.1.0",com.liferay.portal.kerne
 l.search.dummy;version="5.0.0";uses:="com.liferay.portal.kernel.searc
 h,com.liferay.portal.kernel.search.filter,com.liferay.portal.kernel.s
 earch.suggest,com.liferay.portal.kernel.security.permission,javax.por
 tlet",com.liferay.portal.kernel.search.facet;version="9.0.0";uses:="c
 om.liferay.portal.kernel.json,com.liferay.portal.kernel.search,com.li
 feray.portal.kernel.search.facet.collector,com.liferay.portal.kernel.
 search.facet.config,com.liferay.portal.kernel.search.facet.util,com.l
 iferay.portal.kernel.search.filter",com.liferay.portal.kernel.search.
 facet.collector;version="6.3.0",com.liferay.portal.kernel.search.face
 t.config;version="8.0.0";uses:="com.liferay.portal.kernel.json",com.l
 iferay.portal.kernel.search.facet.faceted.searcher;version="2.0.0";us
 es:="com.liferay.portal.kernel.search",com.liferay.portal.kernel.sear
 ch.facet.util;version="7.0.0";uses:="com.liferay.portal.kernel.search
 ,com.liferay.portal.kernel.search.facet",com.liferay.portal.kernel.se
 arch.filter;version="1.0.0";uses:="com.liferay.portal.kernel.search,c
 om.liferay.portal.kernel.search.geolocation",com.liferay.portal.kerne
 l.search.generic;version="3.0.0";uses:="com.liferay.portal.kernel.sea
 rch,com.liferay.portal.kernel.search.filter,com.liferay.portal.kernel
 .search.query",com.liferay.portal.kernel.search.geolocation;version="
 1.0.0",com.liferay.portal.kernel.search.highlight;version="1.0.0";use
 s:="com.liferay.portal.kernel.search",com.liferay.portal.kernel.searc
 h.hits;version="2.0.0";uses:="com.liferay.portal.kernel.search",com.l
 iferay.portal.kernel.search.query;version="2.0.0";uses:="com.liferay.
 portal.kernel.search,com.liferay.portal.kernel.search.generic",com.li
 feray.portal.kernel.search.reindexer;version="1.0.0",com.liferay.port
 al.kernel.search.result;version="1.0.0";uses:="com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.search,javax.portlet",com.lif
 eray.portal.kernel.search.suggest;version="3.1.1";uses:="com.liferay.
 portal.kernel.search",com.liferay.portal.kernel.security;version="6.2
 .0",com.liferay.portal.kernel.security.access.control;version="2.0.0"
 ;uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel
 .security.auth,com.liferay.portal.kernel.security.auth.verifier,javax
 .servlet.http",com.liferay.portal.kernel.security.auth;version="6.2.0
 ";uses:="com.liferay.petra.lang,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.model,com.liferay.portal.kernel.portlet,com.
 liferay.portal.kernel.security.auth.verifier,com.liferay.portal.kerne
 l.security.permission,javax.servlet.http,org.osgi.framework,org.osgi.
 util.tracker",com.liferay.portal.kernel.security.auth.http;version="1
 .1.0";uses:="com.liferay.portal.kernel.exception,javax.servlet.http",
 com.liferay.portal.kernel.security.auth.session;version="1.0.0";uses:
 ="com.liferay.portal.kernel.exception,javax.servlet.http",com.liferay
 .portal.kernel.security.auth.tunnel;version="1.0.0";uses:="com.lifera
 y.portal.kernel.security.auth,javax.servlet.http",com.liferay.portal.
 kernel.security.auth.verifier;version="2.0.0";uses:="com.liferay.port
 al.kernel.security.auth",com.liferay.portal.kernel.security.auto.logi
 n;version="2.0.0";uses:="com.liferay.portal.kernel.exception,javax.se
 rvlet.http",com.liferay.portal.kernel.security.exportimport;version="
 1.0.0",com.liferay.portal.kernel.security.jaas;version="7.0.0";uses:=
 "javax.security.auth,javax.security.auth.callback,javax.security.auth
 .login,javax.security.auth.spi",com.liferay.portal.kernel.security.ld
 ap;version="2.0.0";uses:="javax.naming.directory",com.liferay.portal.
 kernel.security.membershippolicy;version="1.0.0";uses:="com.liferay.a
 sset.kernel.model,com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.model,com.liferay.portal.kernel.security.permission,com.li
 feray.portal.kernel.util",com.liferay.portal.kernel.security.permissi
 on;version="7.0.0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra
 .sql.dsl.expression,com.liferay.petra.sql.dsl.query,com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.security.permission.contributor,com.liferay.portal.kernel.sec
 urity.permission.propagator,com.liferay.portal.kernel.xml,javax.servl
 et.http",com.liferay.portal.kernel.security.permission.comparator;ver
 sion="1.0.0",com.liferay.portal.kernel.security.permission.contributo
 r;version="1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.
 portal.kernel.security.permission",com.liferay.portal.kernel.security
 .permission.propagator;version="1.0.0";uses:="com.liferay.portal.kern
 el.exception,javax.portlet",com.liferay.portal.kernel.security.permis
 sion.resource;version="2.3.0";uses:="com.liferay.exportimport.kernel.
 staging.permission,com.liferay.petra.function,com.liferay.portal.kern
 el.exception,com.liferay.portal.kernel.model,com.liferay.portal.kerne
 l.security.auth,com.liferay.portal.kernel.security.permission,com.lif
 eray.portal.kernel.service,com.liferay.portal.kernel.workflow.permiss
 ion",com.liferay.portal.kernel.security.permission.resource.definitio
 n;version="1.0.1";uses:="com.liferay.portal.kernel.exception,com.life
 ray.portal.kernel.model,com.liferay.portal.kernel.security.permission
 .resource",com.liferay.portal.kernel.security.permission.wrapper;vers
 ion="1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.security.permission,com.liferay.portal.kernel.security.permis
 sion.contributor",com.liferay.portal.kernel.security.pwd;version="4.0
 .0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.model",com.liferay.portal.kernel.security.service.access.policy;v
 ersion="1.1.0",com.liferay.portal.kernel.security.sso;version="1.0.0"
 ;uses:="javax.servlet.http",com.liferay.portal.kernel.security.xml;ve
 rsion="2.0.0";uses:="javax.xml.parsers,javax.xml.stream,javax.xml.tra
 nsform,org.xml.sax",com.liferay.portal.kernel.service;version="26.0.0
 ";uses:="com.liferay.announcements.kernel.model,com.liferay.expando.k
 ernel.model,com.liferay.exportimport.kernel.lar,com.liferay.petra.fun
 ction,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.cache
 .thread.local,com.liferay.portal.kernel.change.tracking,com.liferay.p
 ortal.kernel.cluster,com.liferay.portal.kernel.dao.orm,com.liferay.po
 rtal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.port
 al.kernel.jsonwebservice,com.liferay.portal.kernel.messaging.async,co
 m.liferay.portal.kernel.model,com.liferay.portal.kernel.notifications
 ,com.liferay.portal.kernel.plugin,com.liferay.portal.kernel.portlet,c
 om.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.s
 earch,com.liferay.portal.kernel.security.access.control,com.liferay.p
 ortal.kernel.security.auth,com.liferay.portal.kernel.security.permiss
 ion,com.liferay.portal.kernel.service.change.tracking,com.liferay.por
 tal.kernel.service.configuration,com.liferay.portal.kernel.service.pe
 rmission,com.liferay.portal.kernel.service.persistence,com.liferay.po
 rtal.kernel.service.persistence.change.tracking,com.liferay.portal.ke
 rnel.settings,com.liferay.portal.kernel.spring.aop,com.liferay.portal
 .kernel.systemevent,com.liferay.portal.kernel.theme,com.liferay.porta
 l.kernel.transaction,com.liferay.portal.kernel.util,com.liferay.porta
 l.kernel.xml,javax.portlet,javax.servlet,javax.servlet.http",com.life
 ray.portal.kernel.service.change.tracking;version="1.0.0";uses:="com.
 liferay.petra.function,com.liferay.portal.kernel.model.change.trackin
 g,com.liferay.portal.kernel.service.persistence.change.tracking,com.l
 iferay.portal.kernel.transaction",com.liferay.portal.kernel.service.c
 onfiguration;version="1.1.1",com.liferay.portal.kernel.service.config
 uration.servlet;version="1.1.0";uses:="com.liferay.portal.kernel.serv
 ice.configuration,javax.servlet",com.liferay.portal.kernel.service.ht
 tp;version="1.0.0";uses:="com.liferay.portal.kernel.security.auth,com
 .liferay.portal.kernel.util",com.liferay.portal.kernel.service.permis
 sion;version="7.0.0";uses:="com.liferay.portal.kernel.exception,com.l
 iferay.portal.kernel.model,com.liferay.portal.kernel.security.auth,co
 m.liferay.portal.kernel.security.permission,javax.portlet,javax.servl
 et.http",com.liferay.portal.kernel.service.persistence;version="22.1.
 0";uses:="com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.d
 ao.db,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.model,com.liferay.portal.kernel.serv
 ice,com.liferay.portal.kernel.service.persistence.change.tracking,com
 .liferay.portal.kernel.util,javax.sql",com.liferay.portal.kernel.serv
 ice.persistence.change.tracking;version="1.4.0";uses:="com.liferay.po
 rtal.kernel.change.tracking,com.liferay.portal.kernel.model.change.tr
 acking,com.liferay.portal.kernel.service.persistence",com.liferay.por
 tal.kernel.service.persistence.change.tracking.helper;version="1.1.0"
 ;uses:="com.liferay.portal.kernel.model.change.tracking",com.liferay.
 portal.kernel.service.persistence.impl;version="4.1.0";uses:="com.lif
 eray.petra.sql.dsl,com.liferay.petra.sql.dsl.query,com.liferay.petra.
 string,com.liferay.portal.kernel.configuration,com.liferay.portal.ker
 nel.dao.db,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kerne
 l.exception,com.liferay.portal.kernel.model,com.liferay.portal.kernel
 .service,com.liferay.portal.kernel.service.persistence,com.liferay.po
 rtal.kernel.util,javax.sql",com.liferay.portal.kernel.service.version
 ;version="1.1.0";uses:="com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.model.version",com.liferay.portal.kernel.servlet;ver
 sion="13.0.0";uses:="com.liferay.petra.string,com.liferay.portal.kern
 el.log,com.liferay.portal.kernel.util,javax.portlet,javax.servlet,jav
 ax.servlet.http",com.liferay.portal.kernel.servlet.filters.compoundse
 ssionid;version="7.0.0";uses:="com.liferay.portal.kernel.servlet,java
 x.servlet.http",com.liferay.portal.kernel.servlet.filters.invoker;ver
 sion="10.0.0";uses:="com.liferay.portal.kernel.util,javax.servlet,jav
 ax.servlet.http",com.liferay.portal.kernel.servlet.taglib;version="9.
 0.0";uses:="com.liferay.petra.string,com.liferay.portal.kernel.log,ja
 vax.servlet,javax.servlet.http",com.liferay.portal.kernel.servlet.tag
 lib.aui;version="10.1.0";uses:="com.liferay.petra.string,com.liferay.
 portal.kernel.util",com.liferay.portal.kernel.servlet.taglib.ui;versi
 on="12.0.0";uses:="com.liferay.petra.string,com.liferay.portal.kernel
 .model,com.liferay.portal.kernel.util,javax.servlet,javax.servlet.htt
 p",com.liferay.portal.kernel.servlet.taglib.util;version="7.0.0";uses
 :="com.liferay.petra.string,com.liferay.portal.kernel.util",com.lifer
 ay.portal.kernel.settings;version="5.0.0";uses:="com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.model,com.liferay.portal.ke
 rnel.resource.manager,com.liferay.portal.kernel.settings.definition,j
 avax.portlet",com.liferay.portal.kernel.settings.definition;version="
 2.0.0",com.liferay.portal.kernel.social;version="2.0.0";uses:="com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.model,com.lif
 eray.social.kernel.service",com.liferay.portal.kernel.spring.aop;vers
 ion="7.0.0";uses:="com.liferay.portal.kernel.service",com.liferay.por
 tal.kernel.spring.orm;version="2.0.0",com.liferay.portal.kernel.sprin
 g.osgi;version="2.0.0",com.liferay.portal.kernel.spring.util;version=
 "7.0.0",com.liferay.portal.kernel.struts;version="8.0.0";uses:="javax
 .servlet.http",com.liferay.portal.kernel.systemevent;version="6.2.0",
 com.liferay.portal.kernel.template;version="15.0.0";uses:="com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.xml,javax.servlet
 .http",com.liferay.portal.kernel.template.comparator;version="6.2.0";
 uses:="com.liferay.portal.kernel.template",com.liferay.portal.kernel.
 templateparser;version="8.0.0";uses:="com.liferay.portal.kernel.excep
 tion,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.xml",c
 om.liferay.portal.kernel.terms.of.use;version="1.0.1";uses:="javax.se
 rvlet.http",com.liferay.portal.kernel.theme;version="11.1.0";uses:="c
 om.liferay.petra.string,com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.json,com.liferay.portal.kernel.mobile.device,com.lif
 eray.portal.kernel.model,com.liferay.portal.kernel.portlet.configurat
 ion.icon,com.liferay.portal.kernel.portlet.toolbar,com.liferay.portal
 .kernel.security.permission,com.liferay.portal.kernel.util,javax.port
 let,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.trans
 action;version="8.1.0",com.liferay.portal.kernel.trash;version="14.0.
 0";uses:="com.liferay.asset.kernel.model,com.liferay.portal.kernel.ex
 ception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.sea
 rch,com.liferay.portal.kernel.search.filter,com.liferay.portal.kernel
 .security.permission,com.liferay.portal.kernel.service,com.liferay.po
 rtal.kernel.util,com.liferay.trash.kernel.model,javax.portlet",com.li
 feray.portal.kernel.trash.helper;version="1.1.0";uses:="com.liferay.p
 ortal.kernel.exception,com.liferay.portal.kernel.model,javax.portlet,
 javax.servlet.http",com.liferay.portal.kernel.tree;version="2.1.1";us
 es:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mo
 del",com.liferay.portal.kernel.upgrade;version="21.2.0";uses:="com.li
 feray.petra.lang,com.liferay.portal.kernel.dao.db,com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.resource.bundle,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.util,com.liferay.po
 rtal.kernel.xml,javax.portlet",com.liferay.portal.kernel.upgrade.util
 ;version="12.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.
 portal.kernel.upgrade,com.liferay.portal.kernel.version",com.liferay.
 portal.kernel.upload;version="10.1.0";uses:="com.liferay.portal.kerne
 l.exception,javax.portlet,javax.servlet.http",com.liferay.portal.kern
 el.upload.configuration;version="1.0.0",com.liferay.portal.kernel.url
 ;version="1.1.0";uses:="javax.servlet",com.liferay.portal.kernel.url.
 validator;version="1.0.0",com.liferay.portal.kernel.util;version="65.
 0.0";uses:="com.liferay.mail.kernel.model,com.liferay.petra.process,c
 om.liferay.petra.sql.dsl.query.sort,com.liferay.petra.string,com.life
 ray.portal.kernel.configuration,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.group.capability,com.liferay.portal.kernel.i
 o,com.liferay.portal.kernel.io.unsync,com.liferay.portal.kernel.json,
 com.liferay.portal.kernel.model,com.liferay.portal.kernel.portlet,com
 .liferay.portal.kernel.repository.model,com.liferay.portal.kernel.res
 ource.bundle,com.liferay.portal.kernel.security.permission,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.settings,com.lifera
 y.portal.kernel.spring.osgi,com.liferay.portal.kernel.theme,com.lifer
 ay.portal.kernel.upload,com.liferay.portal.kernel.xml,javax.mail,java
 x.mail.internet,javax.portlet,javax.servlet,javax.servlet.http,javax.
 sql",com.liferay.portal.kernel.util.comparator;version="3.1.0";uses:=
 "com.liferay.portal.kernel.model,com.liferay.portal.kernel.portlet.co
 nfiguration.icon,com.liferay.portal.kernel.util,javax.servlet",com.li
 feray.portal.kernel.uuid;version="6.2.0",com.liferay.portal.kernel.ve
 rify.model;version="2.1.0",com.liferay.portal.kernel.version;version=
 "1.1.0",com.liferay.portal.kernel.view.count;version="1.2.0";uses:="c
 om.liferay.petra.sql.dsl,com.liferay.portal.kernel.exception",com.lif
 eray.portal.kernel.webcache;version="7.0.0";uses:="com.liferay.portal
 .kernel.exception",com.liferay.portal.kernel.webdav;version="10.0.0";
 uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 lock,com.liferay.portal.kernel.model,com.liferay.portal.kernel.securi
 ty.permission,com.liferay.portal.kernel.webdav.methods,com.liferay.po
 rtal.kernel.xml,javax.servlet.http",com.liferay.portal.kernel.webdav.
 methods;version="6.2.0";uses:="com.liferay.portal.kernel.webdav,javax
 .servlet.http",com.liferay.portal.kernel.webserver;version="1.0.0",co
 m.liferay.portal.kernel.words;version="2.0.0";uses:="com.liferay.port
 al.kernel.jazzy",com.liferay.portal.kernel.workflow;version="21.0.0";
 uses:="com.liferay.asset.kernel.model,com.liferay.portal.kernel.excep
 tion,com.liferay.portal.kernel.model,com.liferay.portal.kernel.portle
 t,com.liferay.portal.kernel.service,com.liferay.portal.kernel.util,co
 m.liferay.portal.kernel.workflow.search,javax.portlet,javax.servlet.h
 ttp",com.liferay.portal.kernel.workflow.comparator;version="9.0.0";us
 es:="com.liferay.portal.kernel.util,com.liferay.portal.kernel.workflo
 w",com.liferay.portal.kernel.workflow.permission;version="7.0.0";uses
 :="com.liferay.portal.kernel.security.permission",com.liferay.portal.
 kernel.workflow.search;version="1.0.0";uses:="com.liferay.portal.kern
 el.workflow",com.liferay.portal.kernel.xml;version="7.2.0";uses:="jav
 ax.xml.stream,org.xml.sax",com.liferay.portal.kernel.xml.simple;versi
 on="6.2.0",com.liferay.portal.kernel.xmlrpc;version="7.0.0";uses:="co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.util",com
 .liferay.portal.kernel.zip;version="7.0.0",com.liferay.portlet.config
 uration.kernel.util;version="1.0.0";uses:="javax.portlet",com.liferay
 .ratings.kernel;version="1.2.0",com.liferay.ratings.kernel.definition
 ;version="1.1.0";uses:="com.liferay.portal.kernel.exception,com.lifer
 ay.ratings.kernel",com.liferay.ratings.kernel.display.context;version
 ="1.0.0";uses:="com.liferay.portal.kernel.util,com.liferay.ratings.ke
 rnel,javax.portlet,javax.servlet.http",com.liferay.ratings.kernel.exc
 eption;version="1.0.0";uses:="com.liferay.portal.kernel.exception",co
 m.liferay.ratings.kernel.model;version="4.1.0";uses:="com.liferay.exp
 ortimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.
 dsl.base,com.liferay.portal.kernel.annotation,com.liferay.portal.kern
 el.bean,com.liferay.portal.kernel.model,com.liferay.portal.kernel.mod
 el.change.tracking,com.liferay.portal.kernel.model.wrapper,com.lifera
 y.portal.kernel.util",com.liferay.ratings.kernel.service;version="2.8
 .0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.petra.func
 tion,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.change
 .tracking,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.jsonwebservice,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.search,com.liferay.portal.ke
 rnel.security.access.control,com.liferay.portal.kernel.service,com.li
 feray.portal.kernel.service.change.tracking,com.liferay.portal.kernel
 .service.persistence,com.liferay.portal.kernel.service.persistence.ch
 ange.tracking,com.liferay.portal.kernel.systemevent,com.liferay.porta
 l.kernel.transaction,com.liferay.portal.kernel.util,com.liferay.ratin
 gs.kernel.model",com.liferay.ratings.kernel.service.persistence;versi
 on="4.3.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.porta
 l.kernel.service,com.liferay.portal.kernel.service.persistence,com.li
 feray.portal.kernel.service.persistence.change.tracking,com.liferay.p
 ortal.kernel.util,com.liferay.ratings.kernel.exception,com.liferay.ra
 tings.kernel.model",com.liferay.ratings.kernel.transformer;version="1
 .0.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.util,com.liferay.ratings.kern
 el,com.liferay.ratings.kernel.model,javax.portlet",com.liferay.sites.
 kernel.util;version="3.0.0";uses:="com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.model,com.liferay.portal.kernel.security.
 permission",com.liferay.social.kernel.exception;version="1.0.0";uses:
 ="com.liferay.portal.kernel.exception",com.liferay.social.kernel.mode
 l;version="6.1.0";uses:="com.liferay.asset.kernel.model,com.liferay.p
 etra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel
 .annotation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.mo
 del,com.liferay.portal.kernel.model.change.tracking,com.liferay.porta
 l.kernel.model.wrapper,com.liferay.portal.kernel.resource.bundle,com.
 liferay.portal.kernel.security.permission,com.liferay.portal.kernel.s
 ervice,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.util
 ",com.liferay.social.kernel.model.impl;version="1.0.0";uses:="com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.security.permi
 ssion,com.liferay.portal.kernel.service,com.liferay.portal.kernel.the
 me,com.liferay.social.kernel.model",com.liferay.social.kernel.service
 ;version="3.3.0";uses:="com.liferay.asset.kernel.model,com.liferay.pe
 tra.function,com.liferay.petra.sql.dsl.query,com.liferay.portal.kerne
 l.change.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.json,com.liferay.portal.
 kernel.jsonwebservice,com.liferay.portal.kernel.messaging.async,com.l
 iferay.portal.kernel.model,com.liferay.portal.kernel.search,com.lifer
 ay.portal.kernel.security.access.control,com.liferay.portal.kernel.se
 rvice,com.liferay.portal.kernel.service.change.tracking,com.liferay.p
 ortal.kernel.service.persistence,com.liferay.portal.kernel.service.pe
 rsistence.change.tracking,com.liferay.portal.kernel.theme,com.liferay
 .portal.kernel.transaction,com.liferay.portal.kernel.util,com.liferay
 .social.kernel.model",com.liferay.social.kernel.service.permission;ve
 rsion="2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.security.permission",com.liferay.social.kernel.service.
 persistence;version="4.3.0";uses:="com.liferay.portal.kernel.dao.orm,
 com.liferay.portal.kernel.service,com.liferay.portal.kernel.service.p
 ersistence,com.liferay.portal.kernel.service.persistence.change.track
 ing,com.liferay.portal.kernel.util,com.liferay.social.kernel.exceptio
 n,com.liferay.social.kernel.model",com.liferay.social.kernel.util;ver
 sion="2.0.0";uses:="com.liferay.portal.kernel.service,com.liferay.soc
 ial.kernel.model,javax.servlet.http",com.liferay.social.kernel.util.c
 omparator;version="1.1.0";uses:="com.liferay.portal.kernel.util,com.l
 iferay.social.kernel.model",com.liferay.trash.kernel.model;version="6
 .0.0";uses:="com.liferay.expando.kernel.model,com.liferay.portal.kern
 el.annotation,com.liferay.portal.kernel.bean,com.liferay.portal.kerne
 l.model,com.liferay.portal.kernel.service,com.liferay.portal.kernel.u
 til",com.liferay.users.admin.kernel.file.uploads;version="2.0.0",com.
 liferay.users.admin.kernel.organization.types;version="1.0.1",com.lif
 eray.users.admin.kernel.util;version="2.0.0";uses:="com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.search,com.liferay.portal.kernel.security.permission,com.life
 ray.portal.kernel.util,javax.portlet,javax.servlet.http"
Git-Descriptor: 7ebe437adabbf-dirty
Git-SHA: 7ebe437adabbf2908d63cae392722bffbc250a3c
Import-Package: com.liferay.announcements.kernel.exception;version="[1
 .0,2)",com.liferay.announcements.kernel.model;version="[4.2,4.3)",com
 .liferay.asset.kernel.exception;version="[4.0,5)",com.liferay.asset.k
 ernel.model;version="[11.1,11.2)",com.liferay.asset.kernel.service;ve
 rsion="[11.0,11.1)",com.liferay.asset.kernel.service.persistence;vers
 ion="[13.0,14)",com.liferay.counter.kernel.service;version="[2.2,2.3)
 ",com.liferay.document.library.kernel.exception;version="[4.2,5)",com
 .liferay.document.library.kernel.model;version="[8.3,8.4)",com.lifera
 y.document.library.kernel.service;version="[16.0,16.1)",com.liferay.d
 ocument.library.kernel.store;version="[9.0,9.1)",com.liferay.document
 .library.kernel.util;version="[10.0,11)",com.liferay.dynamic.data.map
 ping.kernel;version="[6.0,7)",com.liferay.expando.kernel.exception;ve
 rsion="[2.0,3)",com.liferay.expando.kernel.model;version="[6.0,6.1)",
 com.liferay.expando.kernel.service;version="[1.10,1.11)",com.liferay.
 expando.kernel.util;version="[5.1,6)",com.liferay.exportimport.kernel
 .exception;version="[2.1,3)",com.liferay.exportimport.kernel.model;ve
 rsion="[6.0,6.1)",com.liferay.exportimport.kernel.service;version="[2
 .10,2.11)",com.liferay.exportimport.kernel.staging;version="[2.3,3)",
 com.liferay.exportimport.kernel.staging.permission;version="[1.0,2)",
 com.liferay.layout.admin.kernel.model;version="[1.0,2)",com.liferay.l
 ayout.utility.page.kernel.request.contributor;version="[1.0,2)",com.l
 iferay.mail.kernel.model;version="[1.1,2)",com.liferay.mail.kernel.se
 rvice;version="[5.0,6)",com.liferay.mail.kernel.template;version="[2.
 0,3)",com.liferay.osgi.service.tracker.collections.list,com.liferay.o
 sgi.service.tracker.collections.map,com.liferay.petra.concurrent,com.
 liferay.petra.executor,com.liferay.petra.function,com.liferay.petra.f
 unction.transform,com.liferay.petra.io.unsync,com.liferay.petra.lang,
 com.liferay.petra.memory,com.liferay.petra.nio,com.liferay.petra.proc
 ess,com.liferay.petra.reflect,com.liferay.petra.sql.dsl,com.liferay.p
 etra.sql.dsl.ast,com.liferay.petra.sql.dsl.base,com.liferay.petra.sql
 .dsl.expression,com.liferay.petra.sql.dsl.query,com.liferay.petra.sql
 .dsl.query.sort,com.liferay.petra.sql.dsl.spi.ast,com.liferay.petra.s
 ql.dsl.spi.expression,com.liferay.petra.sql.dsl.spi.query,com.liferay
 .petra.string,com.liferay.portal.kernel.annotation;version="[7.0,8)",
 com.liferay.portal.kernel.application.type;version="[1.0,2)",com.life
 ray.portal.kernel.backgroundtask;version="[11.0,12)",com.liferay.port
 al.kernel.backgroundtask.display;version="[3.0,4)",com.liferay.portal
 .kernel.bean;version="[10.1,11)",com.liferay.portal.kernel.cache.thre
 ad.local;version="[2.0,3)",com.liferay.portal.kernel.cal;version="[7.
 0,8)",com.liferay.portal.kernel.change.tracking;version="[2.2,3)",com
 .liferay.portal.kernel.change.tracking.sql;version="[1.0,2)",com.life
 ray.portal.kernel.comment;version="[5.1,5.2)",com.liferay.portal.kern
 el.concurrent;version="[8.1,9)",com.liferay.portal.kernel.configurati
 on;version="[7.0,8)",com.liferay.portal.kernel.cookies;version="[3.1,
 4)",com.liferay.portal.kernel.dao.db;version="[15.0,16)",com.liferay.
 portal.kernel.dao.orm;version="[12.0,12.1)",com.liferay.portal.kernel
 .dao.search;version="[9.0,10)",com.liferay.portal.kernel.db.partition
 ;version="[1.1,2)",com.liferay.portal.kernel.dependency.manager;versi
 on="[3.0,4)",com.liferay.portal.kernel.deploy.auto.context;version="[
 7.0,8)",com.liferay.portal.kernel.deploy.hot;version="[7.1,8)",com.li
 feray.portal.kernel.exception;version="[13.3,14)",com.liferay.portal.
 kernel.feature.flag.constants;version="[1.0,2)",com.liferay.portal.ke
 rnel.frontend.esm;version="[1.0,2)",com.liferay.portal.kernel.image;v
 ersion="[13.0,14)",com.liferay.portal.kernel.increment;version="[7.1,
 8)",com.liferay.portal.kernel.io;version="[9.0,10)",com.liferay.porta
 l.kernel.io.unsync;version="[8.0,9)",com.liferay.portal.kernel.jazzy;
 version="[1.0,2)",com.liferay.portal.kernel.jmx.model;version="[7.0,8
 )",com.liferay.portal.kernel.jndi;version="[7.0,8)",com.liferay.porta
 l.kernel.json;version="[12.1,13)",com.liferay.portal.kernel.jsonwebse
 rvice;version="[9.0,10)",com.liferay.portal.kernel.language;version="
 [12.0,13)",com.liferay.portal.kernel.language.constants;version="[1.0
 ,2)",com.liferay.portal.kernel.license;version="[1.0,2)",com.liferay.
 portal.kernel.lock;version="[9.0,10)",com.liferay.portal.kernel.manag
 ement;version="[8.0,9)",com.liferay.portal.kernel.messaging;version="
 [19.0,19.1)",com.liferay.portal.kernel.messaging.async;version="[6.2,
 7)",com.liferay.portal.kernel.mobile.device;version="[9.0,9.1)",com.l
 iferay.portal.kernel.model.adapter.builder;version="[1.0,2)",com.life
 ray.portal.kernel.model.change.tracking;version="[3.0,4)",com.liferay
 .portal.kernel.model.dao;version="[2.5,3)",com.liferay.portal.kernel.
 model.impl;version="[7.4,8)",com.liferay.portal.kernel.model.portlet;
 version="[2.0,3)",com.liferay.portal.kernel.model.version;version="[3
 .0,4)",com.liferay.portal.kernel.model.wrapper;version="[3.0,4)",com.
 liferay.portal.kernel.module.configuration;version="[3.0,4)",com.life
 ray.portal.kernel.module.framework;version="[2.0,3)",com.liferay.port
 al.kernel.plugin;version="[7.0,8)",com.liferay.portal.kernel.pop;vers
 ion="[7.0,8)",com.liferay.portal.kernel.portlet.bridges.mvc.constants
 ;version="[1.0,2)",com.liferay.portal.kernel.portlet.configuration.ic
 on.locator;version="[1.0,2)",com.liferay.portal.kernel.portlet.toolba
 r.contributor;version="[1.1,2)",com.liferay.portal.kernel.portlet.too
 lbar.contributor.locator;version="[1.0,2)",com.liferay.portal.kernel.
 repository;version="[13.0,14)",com.liferay.portal.kernel.repository.c
 apabilities;version="[3.0,3.1)",com.liferay.portal.kernel.repository.
 event;version="[1.1,2)",com.liferay.portal.kernel.repository.http.hea
 der.customizer;version="[1.0,2)",com.liferay.portal.kernel.repository
 .model;version="[11.2,11.3)",com.liferay.portal.kernel.repository.reg
 istry;version="[1.1,2)",com.liferay.portal.kernel.repository.search;v
 ersion="[7.0,8)",com.liferay.portal.kernel.resource;version="[6.3,7)"
 ,com.liferay.portal.kernel.resource.manager;version="[1.0,2)",com.lif
 eray.portal.kernel.scheduler;version="[19.0,20)",com.liferay.portal.k
 ernel.scheduler.messaging;version="[10.0,11)",com.liferay.portal.kern
 el.search.background.task;version="[2.1,3)",com.liferay.portal.kernel
 .search.facet;version="[9.0,10)",com.liferay.portal.kernel.search.fac
 et.collector;version="[6.3,7)",com.liferay.portal.kernel.search.facet
 .config;version="[8.0,9)",com.liferay.portal.kernel.search.facet.util
 ;version="[7.0,8)",com.liferay.portal.kernel.search.filter;version="[
 1.0,2)",com.liferay.portal.kernel.search.generic;version="[3.0,4)",co
 m.liferay.portal.kernel.search.geolocation;version="[1.0,2)",com.life
 ray.portal.kernel.search.highlight;version="[1.0,2)",com.liferay.port
 al.kernel.search.hits;version="[2.0,3)",com.liferay.portal.kernel.sea
 rch.query;version="[2.0,3)",com.liferay.portal.kernel.search.result;v
 ersion="[1.0,2)",com.liferay.portal.kernel.search.suggest;version="[3
 .1,4)",com.liferay.portal.kernel.security;version="[6.2,7)",com.lifer
 ay.portal.kernel.security.auth.tunnel;version="[1.0,2)",com.liferay.p
 ortal.kernel.security.auth.verifier;version="[2.0,3)",com.liferay.por
 tal.kernel.security.permission.contributor;version="[1.0,2)",com.life
 ray.portal.kernel.security.permission.propagator;version="[1.0,2)",co
 m.liferay.portal.kernel.security.permission.resource.definition;versi
 on="[1.0,2)",com.liferay.portal.kernel.security.pwd;version="[4.0,5)"
 ,com.liferay.portal.kernel.security.xml;version="[2.0,3)",com.liferay
 .portal.kernel.service.change.tracking;version="[1.0,2)",com.liferay.
 portal.kernel.service.configuration;version="[1.1,1.2)",com.liferay.p
 ortal.kernel.service.persistence;version="[22.1,23)",com.liferay.port
 al.kernel.service.persistence.change.tracking;version="[1.4,2)",com.l
 iferay.portal.kernel.servlet.filters.compoundsessionid;version="[7.0,
 8)",com.liferay.portal.kernel.settings.definition;version="[2.0,3)",c
 om.liferay.portal.kernel.spring.aop;version="[7.0,8)",com.liferay.por
 tal.kernel.spring.orm;version="[2.0,3)",com.liferay.portal.kernel.spr
 ing.osgi;version="[2.0,3)",com.liferay.portal.kernel.systemevent;vers
 ion="[6.2,7)",com.liferay.portal.kernel.trash.helper;version="[1.1,2)
 ",com.liferay.portal.kernel.upgrade;version="[21.2,22)",com.liferay.p
 ortal.kernel.upgrade.util;version="[12.0,13)",com.liferay.portal.kern
 el.upload;version="[10.1,11)",com.liferay.portal.kernel.util.comparat
 or;version="[3.1,4)",com.liferay.portal.kernel.uuid;version="[6.2,7)"
 ,com.liferay.portal.kernel.version;version="[1.1,2)",com.liferay.port
 al.kernel.webdav.methods;version="[6.2,7)",com.liferay.portal.kernel.
 webserver;version="[1.0,2)",com.liferay.portal.kernel.workflow.permis
 sion;version="[7.0,8)",com.liferay.portal.kernel.workflow.search;vers
 ion="[1.0,2)",com.liferay.portal.kernel.xml;version="[7.2,7.3)",com.l
 iferay.portal.kernel.xml.simple;version="[6.2,7)",com.liferay.portal.
 kernel.xmlrpc;version="[7.0,8)",com.liferay.portal.kernel.zip;version
 ="[7.0,8)",com.liferay.ratings.kernel;version="[1.2,2)",com.liferay.r
 atings.kernel.exception;version="[1.0,2)",com.liferay.ratings.kernel.
 model;version="[4.1,4.2)",com.liferay.ratings.kernel.service;version=
 "[2.8,2.9)",com.liferay.ratings.kernel.transformer;version="[1.0,2)",
 com.liferay.sites.kernel.util;version="[3.0,4)",com.liferay.social.ke
 rnel.exception;version="[1.0,2)",com.liferay.social.kernel.model;vers
 ion="[6.1,6.2)",com.liferay.social.kernel.service;version="[3.3,3.4)"
 ,com.liferay.social.kernel.service.persistence;version="[4.3,5)",com.
 liferay.trash.kernel.model;version="[6.0,6.1)",com.liferay.users.admi
 n.kernel.file.uploads;version="[2.0,3)",javax.mail,javax.mail.interne
 t,javax.management,javax.naming,javax.naming.directory,javax.net.ssl,
 javax.portlet,javax.portlet.annotations,javax.portlet.filter,javax.se
 curity.auth,javax.security.auth.callback,javax.security.auth.login,ja
 vax.security.auth.spi,javax.servlet,javax.servlet.http,javax.sql,java
 x.xml.namespace,javax.xml.parsers,javax.xml.stream,javax.xml.stream.e
 vents,javax.xml.transform,org.osgi.framework,org.osgi.util.tracker,or
 g.xml.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri Oct 06 00:00:00 PDT 2023
Liferay-Portal-Build-Number: 7413
Liferay-Portal-Build-Time: Fri Oct 4 07:59:24 PDT 2024
Liferay-Portal-Code-Name: Cavanaugh
Liferay-Portal-Parent-Build-Number: 7413
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.4.1
 3 Update 97 (October 6, 2023)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.4.
 13
Liferay-Portal-Version: 7.4.13
Liferay-Portal-Version-Display-Name: 7.4.13 Update 97
Private-Package: com.liferay.portal.kernel.internal.cache,com.liferay.
 portal.kernel.internal.dao.jdbc,com.liferay.portal.kernel.internal.da
 o.orm,com.liferay.portal.kernel.internal.portlet.decorator,com.lifera
 y.portal.kernel.internal.security.access.control,com.liferay.portal.k
 ernel.internal.security.permission.resource,com.liferay.portal.kernel
 .internal.service.permission,com.liferay.portal.kernel.internal.servi
 ce.persistence,com.liferay.portal.kernel.internal.service.persistence
 .change.tracking,com.liferay.portal.kernel.internal.servlet,com.lifer
 ay.portal.kernel.internal.spring.transaction,com.liferay.portal.kerne
 l.internal.util,com.liferay.portal.kernel.module.util
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Tool: Bnd-3.5.0.201709291849
